package com.yonge.cooleshow.biz.dal.sdk.req;

import java.io.Serializable;

/**
 * 分账对象
 * @Author: liweifan
 * @Data: 2022/3/31 11:26
 */
public class DivMember implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 分账用户 Member对象 的 id；若是商户本身时，传入0
     * @author liweifan
     * @updateTime 2022/3/31 11:27
     */
    private String member_id;
    /**
     * 分账金额，精确到分，如0.50，1.00等，分账总金额必须等于主交易金额,金额不能为0.00
     * @author liweifan
     * @updateTime 2022/3/31 11:28
     */
    private String amount;
    /**
     * 是否手续费承担方，N-否，Y-是，手续费承担方有且只能有一个
     * @author liweifan
     * @updateTime 2022/3/31 11:28
     */
    private String fee_flag;

    public String getMember_id() {
        return member_id;
    }

    public void setMember_id(String member_id) {
        this.member_id = member_id;
    }

    public String getAmount() {
        return amount;
    }

    public void setAmount(String amount) {
        this.amount = amount;
    }

    public String getFee_flag() {
        return fee_flag;
    }

    public void setFee_flag(String fee_flag) {
        this.fee_flag = fee_flag;
    }
}
